float_sort.hpp File Reference
`#include <algorithm>`
`#include <vector>`
`#include <cstring>`
`#include <limits>`
`#include <boost/static_assert.hpp>`
`#include <boost/sort/spreadsort/detail/constants.hpp>`
`#include <boost/sort/spreadsort/detail/float_sort.hpp>`

Go to the source code of this file.

## Namespaces

| boost
| boost::sort

## Functions

template<class Data_type , class Cast_type >
Cast_type | boost::sort::float_mem_cast (const Data_type &data)
| Casts a float to the specified integer type. More...
template<class RandomAccessIter >
void | boost::sort::float_sort (RandomAccessIter first, RandomAccessIter last)
| `float_sort` with casting to the appropriate size. More...
template<class RandomAccessIter , class Right_shift >
void | boost::sort::float_sort (RandomAccessIter first, RandomAccessIter last, Right_shift rshift)
| Floating-point sort algorithm using random access iterators with just right-shift functor. More...
template<class RandomAccessIter , class Right_shift , class Compare >
void | boost::sort::float_sort (RandomAccessIter first, RandomAccessIter last, Right_shift rshift, Compare comp)
| Float sort algorithm using random access iterators with both right-shift and user-defined comparison operator. More...